<?php

namespace EmailCraft\App\DTO;

defined( "ABSPATH" ) || exit;

use EmailCraft\WpMVC\DTO\DTO;

class TemplateDTO extends DTO {
    private int $id;

    private string $title;

    private string $content = '';

    private string $status;

    private string $integration;

    private string $template_type;

    /**
     * Get the value of id
     *
     * @return int
     */
    public function get_id(): int {
        return $this->id;
    }

    /**
     * Set the value of id
     *
     * @param int $id 
     *
     * @return self
     */
    public function set_id( int $id ): self {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of title
     *
     * @return string
     */
    public function get_title(): string {
        return $this->title;
    }

    /**
     * Set the value of title
     *
     * @param string $title 
     *
     * @return self
     */
    public function set_title( string $title ): self {
        $this->title = $title;

        return $this;
    }

    /**
     * Get the value of content
     *
     * @return string
     */
    public function get_content(): string {
        return $this->content;
    }

    /**
     * Set the value of content
     *
     * @param string $content 
     *
     * @return self
     */
    public function set_content( string $content ): self {
        $this->content = $content;

        return $this;
    }

    /**
     * Get the value of status
     *
     * @return string
     */
    public function get_status(): string {
        return $this->status;
    }

    /**
     * Set the value of status
     *
     * @param string $status 
     *
     * @return self
     */
    public function set_status( string $status ): self {
        $this->status = $status;

        return $this;
    }

    /**
     * Get the value of integration
     *
     * @return string
     */
    public function get_integration(): string {
        return $this->integration;
    }

    /**
     * Set the value of integration
     *
     * @param string $integration 
     *
     * @return self
     */
    public function set_integration( string $integration ): self {
        $this->integration = $integration;

        return $this;
    }

    /**
     * Get the value of template_type
     *
     * @return string
     */
    public function get_template_type(): string {
        return $this->template_type;
    }

    /**
     * Set the value of template_type
     *
     * @param string $template_type 
     *
     * @return self
     */
    public function set_template_type( string $template_type ): self {
        $this->template_type = $template_type;

        return $this;
    }
}